Subject: Re: linux-next: manual merge of the rr tree

From: Ingo Molnar <[email-masked]>
Date: Tue, 6 Jan 2009 14:19:08 +0100

* Mike Travis <[email-masked]> wrote:

> Rusty Russell wrote:
> > On Monday 05 January 2009 23:17:45 Ingo Molnar wrote:
> >> That would allow Mike, Christoph and you to work this out cleanly from 
> >> scratch. It would also solve your merge conflict.
> >>
> >> Does that sound like a good solution?
> > 
> > Sure, but it won't make this window.  I guess since those patches 
> > don't do anything but lay groundwork it's not critical, but annoying 
> > they've lain fallow so long.
> > 
> > I'm happy to put them with the cpualloc patches, since they're related 
> > and going to conflict, but I still want to see if Mike has the rest of 
> > them?
> 
> I do.  And really, as soon as the cpus4096 is safely set for 2.6.29 I 
> can devote much more time on it.

I think the complete elimination of cpumask_t should be the primary 
priority - before jumping to any other aspect. If we dont get rid of it it 
will stick around forever, like the BKL. It was a nice migration helper 
but now it's time to wave goodbye? :)

	Ingo